UHardwareGpsAGpsRefLocation Struct Reference

Describes a reference location, either a radio cell or a wifi. More...

`#include <gps.h>`

Collaboration diagram for UHardwareGpsAGpsRefLocation:

## Data Fields

uint16_t | type
union {
UHardwareGpsAGpsRefLocationCellID cellID
UHardwareGpsAGpsRefLocationMac mac
} | u

## Detailed Description

Describes a reference location, either a radio cell or a wifi.

Definition at line 340 of file gps.h.

## Field Documentation

UHardwareGpsAGpsRefLocationCellID UHardwareGpsAGpsRefLocation::cellID

Definition at line 349 of file gps.h.

UHardwareGpsAGpsRefLocationMac UHardwareGpsAGpsRefLocation::mac

Definition at line 350 of file gps.h.

uint16_t UHardwareGpsAGpsRefLocation::type

One of: U_HARDWARE_GPS_AGPS_REF_LOCATION_TYPE_GSM_CELLID U_HARDWARE_GPS_AGPS_REF_LOCATION_TYPE_UMTS_CELLID U_HARDWARE_GPS_AGPS_REG_LOCATION_TYPE_MAC

Definition at line 347 of file gps.h.

union { ... } UHardwareGpsAGpsRefLocation::u

The documentation for this struct was generated from the following file:

- /build/platform-api-5s2MVK/platform-api-3.0.1+16.04.20160203/include/ubuntu/hardware/gps.h